Bug 6303 - Display Organisation and Parent Organisation names when viewing a borrower of type organisation
Summary: Display Organisation and Parent Organisation names when viewing a borrower of...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.8
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Srdjan Jankovic
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-05 06:06 UTC by Srdjan Jankovic
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (29.30 KB, patch)
2011-05-06 04:39 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6303: patron-title.inc to display properly title for borrowers of category_type 'I' (29.49 KB, patch)
2011-08-14 13:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
screenshot showing change (35.39 KB, image/png)
2011-08-14 13:55 UTC, Katrin Fischer
Details
patch (29.19 KB, patch)
2011-10-10 02:28 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6303: Display Organisation and Parent Organisation names when viewing a borrower of type organistaion (29.50 KB, patch)
2011-10-11 06:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
patch (28.57 KB, patch)
2011-11-14 23:22 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
patch (29.30 KB, patch)
2011-11-16 23:49 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
patch (28.51 KB, patch)
2011-11-18 00:38 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Signed patch (29.04 KB, patch)
2011-11-21 08:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Srdjan Jankovic 2011-05-05 06:06:40 UTC
Display in ‘member details & OPAC Org & Parent org names eg Room 1, Paeroa Central School – otherwise room 1 is meaningless
Comment 1 Srdjan Jankovic 2011-05-06 04:39:35 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-08-10 11:47:27 UTC
Hi Srdjan, 

I see this bug has an attached patch - can you add some information about what this patch is supposed to do and how it can be tested?

Thx!
Comment 3 Srdjan Jankovic 2011-08-11 04:08:14 UTC
To test:

In case of a borrower of type "organistaion" (I), on circulation and member screens as well as opac screens, display full organisation name that is kept in "Other name".

An example:
If we had an organisation

Surname: Room 1
Other name: Paeroa Central School

it would display only "Room 1". With this patch it shold show "Room 1
 (Paeroa Central School)" or similar.
Comment 4 Katrin Fischer 2011-08-14 13:54:35 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2011-08-14 13:55:21 UTC
Created attachment 4995 [details]
screenshot showing change
Comment 6 Paul Poulain 2011-10-07 14:22:52 UTC
sorry but the patch does not apply anymore, and there are a lot of conflicts it seems:
[SIGNED-OFF] Bug 6303: patron-title.inc to display properly title for borrowers of category_type 'I'
Apply? [yn] y

Applying: Bug 6303: patron-title.inc to display properly title for borrowers of category_type 'I'
/home/paul/koha.dev/koha-community/.git/rebase-apply/patch:53: trailing whitespace.
    # 'showname' which is the alternate form the user's first name if 
/home/paul/koha.dev/koha-community/.git/rebase-apply/patch:437: trailing whitespace.
# in template <TMPL_IF name="I"> => instutitional (A for Adult, C for children) 
/home/paul/koha.dev/koha-community/.git/rebase-apply/patch:438: trailing whitespace.
$template->param( $data->{'categorycode'} => 1 ); 
/home/paul/koha.dev/koha-community/.git/rebase-apply/patch:466: space before tab in indent.
 			BORROWER_INFO         	=> [ $borrower ],
/home/paul/koha.dev/koha-community/.git/rebase-apply/patch:510: trailing whitespace.
    
error: patch failed: C4/Members.pm:352
error: C4/Members.pm: patch does not apply
error: patch failed: circ/circulation.pl:631
error: circ/circulation.pl: patch does not apply
error: koha-tmpl/intranet-tmpl/prog/en/modules/members/messaging.tt: does not exist in index
error: patch failed: koha-tmpl/intranet-tmpl/prog/en/modules/members/notices.tt:19
error: koha-tmpl/intranet-tmpl/prog/en/modules/members/notices.tt: patch does not apply
error: patch failed: koha-tmpl/intranet-tmpl/prog/en/modules/tools/viewlog.tt:201
error: koha-tmpl/intranet-tmpl/prog/en/modules/tools/viewlog.tt: patch does not apply
error: members/messaging.pl: does not exist in index
error: patch failed: members/moremember.pl:442
error: members/moremember.pl: patch does not apply
error: patch failed: members/notices.pl:55
error: members/notices.pl: patch does not apply
Patch failed at 0001 Bug 6303: patron-title.inc to display properly title for borrowers of category_type 'I'
Comment 7 Srdjan Jankovic 2011-10-10 02:28:09 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2011-10-11 06:22:19 UTC Comment hidden (obsolete)
Comment 9 Paul Poulain 2011-10-24 11:40:13 UTC
Updating version : This ENH could be in Koha 3.8
Comment 10 Paul Poulain 2011-10-25 15:05:56 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 11 Marcel de Rooy 2011-11-14 13:15:49 UTC
This patch is already SIGNED but unfortunately does no longer apply. Please fix whitespace issues and rebase.

/usr/share/koha/testclone/.git/rebase-apply/patch:56: trailing whitespace.
    # 'showname' which is the alternate form the user's first name if
/usr/share/koha/testclone/.git/rebase-apply/patch:444: trailing whitespace.
# in template <TMPL_IF name="I"> => instutitional (A for Adult, C for children)
/usr/share/koha/testclone/.git/rebase-apply/patch:445: trailing whitespace.
$template->param( $data->{'categorycode'} => 1 );
/usr/share/koha/testclone/.git/rebase-apply/patch:499: trailing whitespace.

error: patch failed: circ/circulation.pl:629
error: circ/circulation.pl: patch does not apply
error: patch failed: members/moremember.pl:439
error: members/moremember.pl: patch does not apply
Comment 12 Srdjan Jankovic 2011-11-14 23:22:32 UTC Comment hidden (obsolete)
Comment 13 Marcel de Rooy 2011-11-16 13:45:56 UTC
Katrin,
I compared the two diffs. It is just a minor rebase. Would you mind if I put your signoff back to this patch?
In view of that I am setting status back to Signed. Feel free to undo if you disagree ;)
Comment 14 Katrin Fischer 2011-11-16 13:47:14 UTC
Hi Marcel, I trust your eye on this, if you want to pass it QA, please do. Thank you for asking.
Comment 15 Marcel de Rooy 2011-11-16 15:00:19 UTC
Thanks for rebasing. Just found a few minor issues:

warning: 4 lines add whitespace errors

double line in opac-user.pl:  patron_flagged    => $borr->{flagged},
+ Why do you add surname there, isn't it already in borrower_info? 

There a few places where you remove card number by the include patron-title, but patron-title does not bring back card number. Meaning we lose info here.
Examples: circ-menu.inc, circulation.tt, moremember.tt, etc. (Look for card number)

Could you please fix them too? Great!
Comment 16 Marcel de Rooy 2011-11-16 15:14:58 UTC
(In reply to comment #15)
> There a few places where you remove card number by the include patron-title,
> but patron-title does not bring back card number. Meaning we lose info here.
> Examples: circ-menu.inc, circulation.tt, moremember.tt, etc. (Look for card
> number)
Ignore this remark. It is present in patron-title!
Comment 17 Srdjan Jankovic 2011-11-16 23:49:41 UTC Comment hidden (obsolete)
Comment 18 Marcel de Rooy 2011-11-17 07:57:26 UTC
Lots of problems when applying this patch?
The patron_flagged line still is double.
22 files changed now instead of 19.
Did you start from a clean master or some other situation?
Comment 19 Srdjan Jankovic 2011-11-18 00:38:40 UTC Comment hidden (obsolete)
Comment 20 Marcel de Rooy 2011-11-21 08:29:59 UTC
Created attachment 6366 [details] [review]
Signed patch
Comment 21 Marcel de Rooy 2011-11-21 08:32:37 UTC
QA Comment
The patch applies with 4 whitespace warnings.
No further comments now. Code looks good. Mostly template changes.
Comment 22 Paul Poulain 2011-11-24 10:40:33 UTC
Small comment: in SQL,
LEFT JOIN categories ON borrowers.categorycode=categories.categorycode
can also be written
LEFT JOIN categories USING(categorycode)

when both fields have the same name and there can't be any ambiguity on the tables applicable (there can be some when multiple LEFT JOIN). I personnally prefer this syntax, that hilight more the field you join on.

Patch pushed, please test
Comment 23 Katrin Fischer 2011-11-30 06:50:10 UTC
Note: Headings on patron account pages are not consistent in styling, this is not a problem introduced by this patch. The organisation name + other name is shown correctly on the first tab (summary).